#!/bin/bash
script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
cd $script_dir
set -e
export FORMAT=YAML
mkdir -p tmp/vms

for vm_config in vm_configs/*; do
  vm_name=$(echo $vm_config | cut -d '/' -f2 | cut -d '.' -f1)
  detee-cli vm deploy --from-yaml $vm_config > tmp/vms/${vm_name}_install.yaml &&
    echo "The VM $vm_name got created." &
done

wait
